# Get team metrics max (/docs/api-reference/teams/get-team-metrics-max)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1154 · updated: 2026-07-30 -->
Related: [List teams](/docs/api-reference/teams/list-teams.md), [Get team metrics](/docs/api-reference/teams/get-team-metrics.md)

# Get team metrics max

`GET /teams/{teamID}/metrics/max`

Get the maximum metrics for the team in the given interval

## OpenAPI

```json
{
  "security": [
    {
      "ApiKeyAuth": []
    }
  ],
  "parameters": [
    {
      "name": "teamID",
      "in": "path",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "in": "query",
      "name": "start",
      "schema": {
        "type": "integer",
        "format": "int64",
        "minimum": 0
      },
      "description": "Unix timestamp for the start of the interval, in seconds, for which the metrics are returned."
    },
    {
      "in": "query",
      "name": "end",
      "schema": {
        "type": "integer",
        "format": "int64",
        "minimum": 0
      },
      "description": "Unix timestamp for the end of the interval, in seconds, for which the metrics are returned."
    },
    {
      "in": "query",
      "name": "metric",
      "required": true,
      "schema": {
        "type": "string",
        "enum": [
          "concurrent_sandboxes",
          "sandbox_start_rate"
        ]
      },
      "description": "Metric to retrieve the maximum value for"
    }
  ],
  "responses": {
    "200": {
      "description": "Successfully returned the team metrics",
      "content": {
        "application/json": {
          "schema": {
            "description": "Team metric with timestamp",
            "required": [
              "timestamp",
              "timestampUnix",
              "value"
            ],
            "properties": {
              "timestamp": {
                "type": "string",
                "format": "date-time",
                "deprecated": true,
                "description": "Timestamp of the metric entry"
              },
              "timestampUnix": {
                "type": "integer",
                "format": "int64",
                "description": "Timestamp of the metric entry in Unix time (seconds since epoch)"
              },
              "value": {
                "type": "number",
                "description": "The maximum value of the requested metric in the given interval"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "400": {
      "description": "Bad request",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "401": {
      "description": "Authentication error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "403": {
      "description": "Forbidden",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    },
    "500": {
      "description": "Server error",
      "content": {
        "application/json": {
          "schema": {
            "required": [
              "code",
              "message"
            ],
            "properties": {
              "code": {
                "type": "integer",
                "format": "int32",
                "description": "Error code"
              },
              "message": {
                "type": "string",
                "description": "Error"
              }
            },
            "type": "object"
          }
        }
      }
    }
  }
}
```
